Building models with SAS Enterprise Miner, SAS Factory Miner, SAS Visual Data Mining and Machine Learning or just with programming

Is EMiner 14.1 client compatiable with EMiner 13.2 server?

Reply
Contributor
Posts: 24

Is EMiner 14.1 client compatiable with EMiner 13.2 server?

Just wondering if a newer EMiner client is backwards compatiable with an older version on the server the way EGuide is usually backwards compatiable.   Also, do I need to upgrade to EMiner 14.1 if using Windows 10?

SAS Employee
Posts: 10

Re: Is EMiner 14.1 client compatiable with EMiner 13.2 server?

The EMiner client is not backwards compatible.  You must ensure the that all EMiner client and server components are running at the same version.  Only EM 14.1, which is on top of SAS 9.4 maintenance release 3, is supported on Windows 10.  For more OS support you can look at the following website for a list of supported products, http://support.sas.com/supportos/list

SAS Employee
Posts: 122

Re: Is EMiner 14.1 client compatiable with EMiner 13.2 server?

Hi, Feature wise, for distance between 14.1 and 13.x, if you submit XML built under 13.x, it mostly will run fine. One glaring 'not fine' is the decision tree node, as far as I know and have been burned upon several times. One more constructive approach could be: load the 13.x EM xml file onto 14.1, save it as a different name, so the previous work is preserved. Then run the old one on 14.1. You may need to check the old one for some model config details. Very likely the decision tree node will flag RED in your first run. You may need to delete the old one, pull a new one, make sure the config settings are the same. Generally, you should not do this kind of replacement very often. Technically or analytically, if a result window subject carries the same title, you should expect the same substance. You should not expect major substance shift without it being mentioned in What's New section of the product. If not mentioned, changes should be cosmetic. If you see specif differences, please list here. We can take a look. Hope this helps. Jason Xin
Contributor
Posts: 24

Re: Is EMiner 14.1 client compatiable with EMiner 13.2 server?

Thanks for the insight.   I should have mentioned that the server is a RHEL 6.x 2 node grid.   It's a pretty big effort to update our servers (with 250+ SAS users) from 9.4 M2 to M3 but the client PCs will be upgraded from Win 7 to 10 this summer.    It's nice that we can take the EGuide from M3 and push that out.   I'm now trying to determine what needs to be done for EMiner (only 5 users) since we aren't planning to upgrade the servers until Q4.

 

SAS Employee
Posts: 122

Re: Is EMiner 14.1 client compatiable with EMiner 13.2 server?

I see. Your situation is different from what I thought. You are asking if the server and the client are out of syn version, what you should expect. This is migration aspect. Let me ask around for some insights. Thanks. Jason Xin
Ask a Question
Discussion stats
  • 4 replies
  • 271 views
  • 0 likes
  • 3 in conversation